libzypp: zypp::sat::FileConflicts::Conflict Class Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | Related Symbols | List of all members
zypp::sat::FileConflicts::Conflict Class Reference

A file conflict. More...

`#include <zypp/sat/FileConflicts.h>`

## Public Member Functions
IdString | lhsFilename () const
Solvable | lhsSolvable () const
IdString | lhsFilemd5 () const
IdString | rhsFilename () const
Solvable | rhsSolvable () const
IdString | rhsFilemd5 () const
std::string | asUserString () const
| Ready to use (translated) string describing the Conflict.

## Private Attributes
detail::IdType | _data [queueBlockSize]

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const FileConflicts::Conflict &obj) ZYPP_API
| Stream output.
std::ostream & | dumpAsXmlOn (std::ostream &str, const FileConflicts::Conflict &obj) ZYPP_API
| XML output.

## Detailed Description

A file conflict.

Definition at line 40 of file FileConflicts.h.

## Member Function Documentation

## ◆ lhsFilename()

IdString zypp::sat::FileConflicts::Conflict::lhsFilename | ( |  | ) | const
| inline

Definition at line 42 of file FileConflicts.h.

## ◆ lhsSolvable()

Solvable zypp::sat::FileConflicts::Conflict::lhsSolvable | ( |  | ) | const
| inline

Definition at line 43 of file FileConflicts.h.

## ◆ lhsFilemd5()

IdString zypp::sat::FileConflicts::Conflict::lhsFilemd5 | ( |  | ) | const
| inline

Definition at line 44 of file FileConflicts.h.

## ◆ rhsFilename()

IdString zypp::sat::FileConflicts::Conflict::rhsFilename | ( |  | ) | const
| inline

Definition at line 46 of file FileConflicts.h.

## ◆ rhsSolvable()

Solvable zypp::sat::FileConflicts::Conflict::rhsSolvable | ( |  | ) | const
| inline

Definition at line 47 of file FileConflicts.h.

## ◆ rhsFilemd5()

IdString zypp::sat::FileConflicts::Conflict::rhsFilemd5 | ( |  | ) | const
| inline

Definition at line 48 of file FileConflicts.h.

## ◆ asUserString()

std::string zypp::sat::FileConflicts::Conflict::asUserString | ( |  | ) | const

Ready to use (translated) string describing the Conflict.

Definition at line 28 of file FileConflicts.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const FileConflicts::Conflict & | obj )
| related

Stream output.

Definition at line 112 of file FileConflicts.cc.

## ◆ dumpAsXmlOn()

std::ostream & dumpAsXmlOn | ( | std::ostream & | str,
|  | const FileConflicts::Conflict & | obj )
| related

XML output.

Definition at line 156 of file FileConflicts.cc.

## Member Data Documentation

## ◆ _data

detail::IdType zypp::sat::FileConflicts::Conflict::_data[queueBlockSize]
| private

Definition at line 54 of file FileConflicts.h.

The documentation for this class was generated from the following files:

- zypp/sat/FileConflicts.h
- zypp/sat/FileConflicts.cc